メインコンテンツへスキップ
PUT
/
settings
/
users
/
2026-03
/
{userId}
ユーザーが変更されます
curl --request PUT \
  --url https://api.hubapi.com/settings/users/2026-03/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "primaryTeamId": "<string>",
  "roleId": "<string>",
  "secondaryTeamIds": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hubapi.com/settings/users/2026-03/{userId}"

payload = {
    "firstName": "<string>",
    "lastName": "<string>",
    "primaryTeamId": "<string>",
    "roleId": "<string>",
    "secondaryTeamIds": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    firstName: '<string>',
    lastName: '<string>',
    primaryTeamId: '<string>',
    roleId: '<string>',
    secondaryTeamIds: ['<string>']
  })
};

fetch('https://api.hubapi.com/settings/users/2026-03/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "email": "<string>",
  "id": "<string>",
  "roleIds": [
    "<string>"
  ],
  "superAdmin": true,
  "firstName": "<string>",
  "lastName": "<string>",
  "primaryTeamId": "<string>",
  "roleId": "<string>",
  "secondaryTeamIds": [
    "<string>"
  ],
  "sendWelcomeEmail": true
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

userId
string
必須

クエリパラメータ

idProperty
enum<string>
利用可能なオプション:
EMAIL,
USER_ID

ボディ

application/json
firstName
string

ユーザーの名。

lastName
string

ユーザーの姓。

primaryTeamId
string

ユーザーのプライマリーチーム。

roleId
string

ユーザーの役割。

secondaryTeamIds
string[]

ユーザーの追加チーム。

レスポンス

successful operation

email
string
必須

ユーザーのEメール。

id
string
必須

ユーザーの固有ID。

roleIds
string[]
必須

ユーザーに割り当てられた役割IDのリスト。

superAdmin
boolean
必須

ユーザーがスーパー管理者特権を持っているかどうか。

firstName
string

ユーザーの名。

lastName
string

ユーザーの姓。

primaryTeamId
string

ユーザーのプライマリーチーム

roleId
string

ユーザーの役割。

secondaryTeamIds
string[]

ユーザーの追加チーム。

sendWelcomeEmail
boolean

ウェルカムEメールがユーザーに送信されたかどうか。この値は、プロビジョニングリクエストへのレスポンスとしてのみ入力されます。後続のクエリーはfalseになります。

最終更新日 2026年4月10日